ZABBIX BUGS AND ISSUES
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-7515

Zabbix_agentd.exe won't run on Windows Server 2003 x64

    Details

    • Type: Incident report Incident report
    • Status: Closed
    • Priority: Blocker Blocker
    • Resolution: Fixed
    • Affects Version/s: 2.2.1
    • Fix Version/s: 2.2.2rc1, 2.3.0
    • Component/s: Agent (G)
    • Labels:
    • Environment:
      Windows Server 2003 x64

      Description

      When starting zabbix_agentd on a Windows Server 2003 x64 it fails with the following message: The application has failed to start because wevtapi.dll was not found. Re-installing the application may fix this problem.
      This error did not occur with agent 2.2.0. It only happens with version 2.2.1 on Windows Server 2003 x64. Installation of 2.2.1 on Windows Server 2003 x32 or 2008R2 succeeds.

        Issue Links

          Activity

          Hide
          Claus added a comment -

          Possible regression of ZBX-2008!?

          Show
          Claus added a comment - Possible regression of ZBX-2008 !?
          Hide
          Andris Zeila added a comment -

          Tested development branch svn://svn.zabbix.com/branches/dev/ZBX-7515

          Show
          Andris Zeila added a comment - Tested development branch svn://svn.zabbix.com/branches/dev/ZBX-7515
          Hide
          Igors Homjakovs (Inactive) added a comment -

          Fixed in 2.2.2rc1 r41561, 2.3.0(trunk) r41562

          Show
          Igors Homjakovs (Inactive) added a comment - Fixed in 2.2.2rc1 r41561, 2.3.0(trunk) r41562
          Hide
          Claus added a comment -

          Are you sure this is fixed? Tested 2.2.2rc1 r41611 today on Windows Server 2003 x64, still the same error-message " wevtapi.dll was not found..."

          Show
          Claus added a comment - Are you sure this is fixed? Tested 2.2.2rc1 r41611 today on Windows Server 2003 x64, still the same error-message " wevtapi.dll was not found..."
          Hide
          Aleksandrs Saveljevs added a comment -

          According to the following Windows binaries in the repository were last compiled in December:

          2.2$ svn log -l 1 bin/win64/zabbix_agentd.exe
          ------------------------------------------------------------------------
          r40807 | sasha | 2013-12-09 11:09:53 +0200 (Mon, 09 Dec 2013) | 1 line
          
          .......... [ZBXNEXT-826] Windows precompiled agents
          ------------------------------------------------------------------------
          

          We should probably recompile them. Reopening...

          Show
          Aleksandrs Saveljevs added a comment - According to the following Windows binaries in the repository were last compiled in December: 2.2$ svn log -l 1 bin/win64/zabbix_agentd.exe ------------------------------------------------------------------------ r40807 | sasha | 2013-12-09 11:09:53 +0200 (Mon, 09 Dec 2013) | 1 line .......... [ZBXNEXT-826] Windows precompiled agents ------------------------------------------------------------------------ We should probably recompile them. Reopening...
          Hide
          Daniel Filippon added a comment -

          Same error here while updating an agent from 1.8.5 to 2.2.1. Prior version works fine, but the new one won't start the service, displaying the msg "This application failed to start because wevtapi.dll was not found..."

          Show
          Daniel Filippon added a comment - Same error here while updating an agent from 1.8.5 to 2.2.1. Prior version works fine, but the new one won't start the service, displaying the msg "This application failed to start because wevtapi.dll was not found..."
          Hide
          Alexander Vladishev added a comment -

          Windows binaries was added in branches/2.2 r41937.

          I'm closing the issue.

          Show
          Alexander Vladishev added a comment - Windows binaries was added in branches/2.2 r41937. I'm closing the issue.
          Hide
          Simon DOe added a comment - - edited

          I got 2.2.3 binary from:
          http://www.suiviperf.com/zabbix/index.php

          2003 64bit still same error..
          XP 64bit same error..

          Reopen ?
          Everything is fine on 32 bit.

          I don't think it's fixed.
          Or I don't have proper binary ?

          PS:
          Those VM's run on XEN 4.2,
          2003 64bit is Standard SP2, bare without any frameworks or programs.
          XP 64bit is.. SP1 for tesing some XEN stuff, also bare.

          PS:
          Found a working solution for myself.
          Because I couldn't find any (other than above) newer than 2.2.1 binary. (no time to compile atm.)
          I started to try older ones. 2.0.10 works without this weird error
          Suit's me now as i'm just tinkering around.

          Show
          Simon DOe added a comment - - edited I got 2.2.3 binary from: http://www.suiviperf.com/zabbix/index.php 2003 64bit still same error.. XP 64bit same error.. Reopen ? Everything is fine on 32 bit. I don't think it's fixed. Or I don't have proper binary ? PS: Those VM's run on XEN 4.2, 2003 64bit is Standard SP2, bare without any frameworks or programs. XP 64bit is.. SP1 for tesing some XEN stuff, also bare. PS: Found a working solution for myself. Because I couldn't find any (other than above) newer than 2.2.1 binary. (no time to compile atm.) I started to try older ones. 2.0.10 works without this weird error Suit's me now as i'm just tinkering around.
          Hide
          Igors Homjakovs (Inactive) added a comment -

          Dear Simon,

          We are looking at this issue and will get back to you soon.

          Show
          Igors Homjakovs (Inactive) added a comment - Dear Simon, We are looking at this issue and will get back to you soon.
          Hide
          Igors Homjakovs (Inactive) added a comment -

          Simon,

          It seems that the version of the binary from that link is 2.2.1.
          The error was fixed in 2.2.2.

          Please try to download and run the binary from our website http://www.zabbix.com/download.php.
          If you need the newer versions please refer to http://www.zabbix.org/wiki/Get_Zabbix.

          Please let us know if you have any troubles.
          Good luck.

          Show
          Igors Homjakovs (Inactive) added a comment - Simon, It seems that the version of the binary from that link is 2.2.1. The error was fixed in 2.2.2. Please try to download and run the binary from our website http://www.zabbix.com/download.php . If you need the newer versions please refer to http://www.zabbix.org/wiki/Get_Zabbix . Please let us know if you have any troubles. Good luck.
          Hide
          Danish Anees added a comment -

          Just install 32bit version and Solver problem
          c:\zabbix_agents_2.2.1.win\bin\win32> zabbix_agentd.exe --install

          Show
          Danish Anees added a comment - Just install 32bit version and Solver problem c:\zabbix_agents_2.2.1.win\bin\win32> zabbix_agentd.exe --install

            People

            • Assignee:
              Unassigned
              Reporter:
              Jan Gruyaert
            • Votes:
              6 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: